Bug 1337391 - [Bitrot] Need a way to set scrub interval to a minute, for ease of testing
Summary: [Bitrot] Need a way to set scrub interval to a minute, for ease of testing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: bitrot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Kotresh HR
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks: 1351522 1351537 1354425 1354429
TreeView+ depends on / blocked
 
Reported: 2016-05-19 05:43 UTC by Sweta Anandpara
Modified: 2017-03-23 05:31 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1351537 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:31:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Sweta Anandpara 2016-05-19 05:43:34 UTC
Description of problem:
========================
Currently, the command 'gluster volume bitrot <volname> scrub-frequency' can set the frequency to hourly/daily/weekly/biweekly/monthly. For testing, we set the frequency to the minimum possible, i.e., an hour. After corrupting a file,  we are forced to wait out an entire hour (or more) for the scrubber to mark the file as 'corrupted'. The above mentioned step is one of the common task that is followed for most test cases. 

This leads to unnecessary inconvenience when testing bitrot feature. Needless to say, automation also takes close to 3 days, just because of the mandatory requirement of waiting for an hour before doing any validation. I understand the need to reduce time < hour would never arise in the field, but it would be good to have such an option provided for testing and regression purposes, in the upcoming releases. 


Version-Release number of selected component (if applicable):
============================================================
3.7.9-3

Additional info:
================
[root@dhcp35-13 ~]# gluster v bitrot ozone 
Usage: volume bitrot <VOLNAME> {enable|disable} |
volume bitrot <volname> scrub-throttle {lazy|normal|aggressive} |
volume bitrot <volname> scrub-frequency {hourly|daily|weekly|biweekly|monthly} |
volume bitrot <volname> scrub {pause|resume|status}
[root@dhcp35-13 ~]#

Comment 2 Kotresh HR 2016-06-30 11:31:07 UTC
Upstream Patches:
http://review.gluster.org/#/c/14836/1 (master)

Comment 5 Kotresh HR 2016-08-11 12:01:53 UTC
Upstream Patches:
http://review.gluster.org/#/c/14836/ (master)
http://review.gluster.org/#/c/14887/ (3.7)
http://review.gluster.org/#/c/14890/ (3.8)

Comment 6 Atin Mukherjee 2016-09-17 14:31:55 UTC
(In reply to Kotresh HR from comment #5)
> Upstream Patches:
> http://review.gluster.org/#/c/14836/ (master)
> http://review.gluster.org/#/c/14887/ (3.7)
> http://review.gluster.org/#/c/14890/ (3.8)

Fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4

Comment 9 Sweta Anandpara 2016-10-25 05:44:56 UTC
Tested and verified this on the build 3.8.4-2

We are able to set the scrub-frequency of a bitrot enabled volume to a minute. The logs /var/log/glusterfs/bitd.log and /var/log/glusterfs/scrub.log do reflect the minute timing. It is validated that the scrubbing does happen every minute. IF a scrub run takes longer than a minute to complete, then it waits for the run to complete and then schedules the next run after a minute. 

Moving this BZ to verified in 3.2

Comment 10 Sweta Anandpara 2016-12-27 11:18:29 UTC
Setting the qe_test_coverage to '-' for the following reasons:
* This option is introduced purely for testing purpose
* It is going to phase out in the coming releases as we have introduced 'scrub ondemand' option

Comment 12 errata-xmlrpc 2017-03-23 05:31:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.